CREATE TABLE fun_spm_sql_master (
    SQL_MASTER_ID             NUMBER(18, 0) ,
    SQL_MASTER_CODE           VARCHAR2(400)     NOT NULL,
    SQL_MASTER_DESCRIPTION    VARCHAR2(4000),
    APPLICATION_ID            NUMBER(18, 0)     NOT NULL,
    OBSOLETE_FLAG             VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SQL_MASTER_ID             NUMBER(18, 0) ,
    SQL_MASTER_CODE           VARCHAR2(400)     NOT NULL,
    SQL_MASTER_DESCRIPTION    VARCHAR2(4000),
    APPLICATION_ID            NUMBER(18, 0)     NOT NULL,
    OBSOLETE_FLAG             VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_fun_spm_sql_master PRIMARY KEY (SQL_MASTER_ID, SQL_MASTER_ID)
);
